This page was not yet optimized for use on mobile devices.
SUSE Linux Enterprise OpenSSL Cryptographic Module
Certificate details
| Certificate ID | #4725 |
|---|---|
| Status | historical |
| Historical reason | Replaced by certificate #5436 |
| Validation dates | 12.07.2024 , 19.12.2025 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | Interim validation. When operated in the approved mode. When installed, initialized and configured as specified in Section 11 of the Security Policy |
| Exceptions |
|
| Description | OpenSSL is an open-source library of various cryptographic algorithms written mainly in C. |
| Tested configurations |
|
| Vendor | SUSE, LLC http://www.suse.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-, AES-256, AES256, CAST, CAST5, RC2, RC4, DES, Triple-DES, TDES, ChaCha20, Poly1305, Blowfish, Camellia, ARIA, SM4, SEED, HMAC, CMACAsymmetric Algorithms
ECDH, ECDSA, ECC, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA3-224, SHA3-384, SHA3-512, SHA-3, SHA3-256, SHA3, Blake2, MD4, MD5, PBKDFSchemes
MAC, Key Exchange, Key agreement, Key AgreementProtocols
SSH, SSHv2, TLS v1.3, TLS, TLS v1.0, TLSv1.0, TLSv1.2, TLSv1.3, IKE, IKEv2Randomness
DRBG, RNGLibraries
OpenSSLElliptic Curves
P-224, P-256, P-384, P-521, P-192Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSTLS cipher suites
TLS_DH_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_DH_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_DH_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DH_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_PSK_WITH_AES_128_CBC_SHA, TLS_PSK_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_GCM_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_DH_RSA_WITH_AES_128_GCM_SHA256, TLS_DH_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_128_CCM, TLS_DHE_RSA_WITH_AES_256_CCM, TLS_DHE_RSA_WITH_AES_128_CCM_8, TLS_DHE_RSA_WITH_AES_256_CCM_8Security level
level 1Side-channel analysis
timing attacksCross-references
Incoming- 4822 - active - SUSE Linux Enterprise Libica Cryptographic Module
Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4725,
"dgst": "6879547fb139e734",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"HMAC-SHA2-384A3210",
"ECDSA KeyVer (FIPS186-4)A3210",
"RSA KeyGen (FIPS186-4)A3210",
"Safe Primes Key GenerationA3211",
"#A3171",
"#A3198",
"#A3168",
"SHA3-224A3175",
"AES-ECBA3172",
"HMAC-SHA3-256A3175",
"#A3145",
"#A3175",
"#A3167",
"AES-CMACA3167",
"AES-GCMA3206",
"#A3172",
"AES-KWA3167",
"AES-CCMA3167",
"#A3152",
"#A3201",
"AES-CFB1A3167",
"TLS v1.2 KDF RFC7627A3210",
"#A3150",
"ECDSA KeyGen (FIPS186-4)A3210",
"#A3156",
"AES-KWPA3167",
"SHA3-512A3175",
"RSA SigVer (FIPS186-4)A3210",
"#A3160",
"#A3202",
"#A3170",
"#A3137",
"#A3174",
"#A3140",
"HMAC-SHA-1A3210",
"ECDSA SigGen (FIPS186-4)A3210",
"#A3166",
"#A3190",
"#A3136",
"#A3183",
"#A3149",
"#A3143",
"KAS-FFC-SSC Sp800-56Ar3A3211",
"KDA HKDF Sp800-56Cr1A3168",
"#A3176",
"#A3196",
"#A3139",
"#A3141",
"Safe Primes Key VerificationA3211",
"#A3138",
"HMAC-SHA2-224A3210",
"#A3184",
"SHA3-384A3175",
"#A3178",
"#A3210",
"#A3195",
"#A3155",
"#A3157",
"SHA2-512A3210",
"#A3200",
"KDF SSHA3172",
"#A3177",
"SHAKE-128A3175",
"AES-CBCA3167",
"HMAC-SHA2-512A3210",
"AES-XTS Testing Revision 2.0A3167",
"#A3188",
"#A3181",
"SHA2-256A3210",
"SHA2-224A3210",
"AES-OFBA3167",
"#A3153",
"AES-CTRA3167",
"#A3187",
"#A3173",
"#A3158",
"#A3169",
"PBKDFA3210",
"#A3199",
"#A3186",
"#A3144",
"#A3146",
"#A3182",
"Counter DRBGA3167",
"RSA SigGen (FIPS186-4)A3210",
"#A3205",
"HMAC-SHA3-384A3175",
"HMAC-SHA2-256A3210",
"#A3206",
"SHA3-256A3175",
"AES-CFB8A3167",
"#A3147",
"#A3151",
"AES-CFB128A3167",
"#A3154",
"#A3180",
"KDF TLSA3210",
"#A3163",
"#A3179",
"HMAC-SHA3-224A3175",
"#A3211",
"#A3165",
"SHAKE-256A3175",
"#A3159",
"#A3142",
"#A3194",
"SHA2-384A3210",
"#A3148",
"KAS-ECC-SSC Sp800-56Ar3A3210",
"#A3162",
"#A3185",
"#A3207",
"ECDSA SigVer (FIPS186-4)A3210",
"#A3193",
"#A3161",
"#A3203",
"#A3197",
"#A3204",
"SHA-1A3210",
"HMAC-SHA3-512A3175"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"4822"
]
},
"directly_referencing": null,
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"4822"
]
},
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"4822"
]
},
"directly_referencing": null,
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"4822"
]
},
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 30,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 2
},
"ECDH": {
"ECDH": 2
},
"ECDSA": {
"ECDSA": 52
}
},
"FF": {
"DH": {
"DH": 2,
"Diffie-Hellman": 55
},
"DSA": {
"DSA": 8
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 5
},
"CCM": {
"CCM": 6
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 3
},
"ECB": {
"ECB": 3
},
"GCM": {
"GCM": 13
},
"OFB": {
"OFB": 3
},
"XTS": {
"XTS": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 71
}
},
"crypto_protocol": {
"IKE": {
"IKE": 2,
"IKEv2": 1
},
"SSH": {
"SSH": 13,
"SSHv2": 1
},
"TLS": {
"TLS": {
"TLS": 63,
"TLS v1.0": 1,
"TLS v1.3": 1,
"TLSv1.0": 2,
"TLSv1.2": 2,
"TLSv1.3": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 1,
"Key agreement": 4
},
"KEX": {
"Key Exchange": 1
},
"MAC": {
"MAC": 16
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-192": 10,
"P-224": 12,
"P-256": 16,
"P-384": 12,
"P-521": 8
}
},
"eval_facility": {
"atsec": {
"atsec": 57
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES 128, 192": 2,
"AES GCM 128": 1,
"AES key 128, 192": 1,
"AES- 192": 1,
"AES-128": 1,
"AES-256": 1,
"AES256": 1,
"HMAC - SHA3": 1,
"HMAC 112": 4,
"HMAC 128": 2,
"HMAC SHA-1": 1,
"HMAC-SHA-1": 4,
"PKCS#1": 4,
"SHA- 1": 3,
"SHA-1": 12,
"SHA-3": 4,
"SHA2- 224": 1,
"SHA2- 256": 4,
"SHA2- 384": 8,
"SHA2-224": 11,
"SHA2-256": 22,
"SHA2-384": 6,
"SHA2-512": 7,
"SHA2-512 1024": 3,
"SHA2-512 128": 1,
"SHA2-512 2048": 3,
"SHA3 - 512": 1,
"SHA3- 256": 4,
"SHA3-224": 3,
"SHA3-256": 2,
"SHA3-384": 5,
"SHA3-512": 6
}
},
"fips_security_level": {
"Level": {
"level 1": 1
}
},
"hash_function": {
"BLAKE": {
"Blake2": 2
},
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 3
}
},
"PBKDF": {
"PBKDF": 18
},
"SHA": {
"SHA1": {
"SHA-1": 12
},
"SHA3": {
"SHA-3": 4,
"SHA3": 1,
"SHA3-224": 6,
"SHA3-256": 2,
"SHA3-384": 5,
"SHA3-512": 6
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 44
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {
"SCA": {
"timing attacks": 2
}
},
"standard_id": {
"FIPS": {
"FIPS 140-3": 65,
"FIPS 186-4": 4,
"FIPS PUB 140-3": 2,
"FIPS140-3": 1,
"FIPS180-4": 3,
"FIPS186-4": 9,
"FIPS197": 3,
"FIPS198-1": 5,
"FIPS202": 2
},
"ISO": {
"ISO/IEC 24759": 2
},
"PKCS": {
"PKCS#1": 2
},
"RFC": {
"RFC3268": 4,
"RFC3394": 1,
"RFC3526": 3,
"RFC4279": 2,
"RFC4492": 8,
"RFC5246": 4,
"RFC5288": 5,
"RFC5289": 16,
"RFC5649": 1,
"RFC6655": 4,
"RFC7627": 1,
"RFC7919": 3,
"RFC8446": 4
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 58,
"AES-": 10,
"AES-128": 1,
"AES-256": 1,
"AES256": 1
},
"CAST": {
"CAST": 7,
"CAST5": 3
},
"RC": {
"RC2": 3,
"RC4": 3
}
},
"DES": {
"3DES": {
"TDES": 1,
"Triple-DES": 6
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"CMAC": 11,
"HMAC": 28
}
},
"djb": {
"ChaCha": {
"ChaCha20": 5
},
"Poly": {
"Poly1305": 3
}
},
"miscellaneous": {
"ARIA": {
"ARIA": 3
},
"Blowfish": {
"Blowfish": 3
},
"Camellia": {
"Camellia": 3
},
"SEED": {
"SEED": 3
},
"SM4": {
"SM4": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_128_CCM": 1,
"TLS_DHE_RSA_WITH_AES_128_CCM_8": 1,
"TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_CCM": 1,
"TLS_DHE_RSA_WITH_AES_256_CCM_8": 1,
"TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_DH_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DH_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DH_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DH_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDH_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDH_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_PSK_WITH_AES_128_CBC_SHA": 1,
"TLS_PSK_WITH_AES_256_CBC_SHA": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"SHA2-512A3210",
"HMAC-SHA3-224A3175",
"KDF SSHA3172",
"HMAC-SHA2-384A3210",
"ECDSA KeyVer (FIPS186-4)A3210",
"SHAKE-128A3175",
"AES-CBCA3167",
"HMAC-SHA2-512A3210",
"Safe Primes Key GenerationA3211",
"RSA KeyGen (FIPS186-4)A3210",
"AES-XTS Testing Revision 2.0A3167",
"HMAC-SHA-1A3210",
"SHAKE-256A3175",
"ECDSA SigGen (FIPS186-4)A3210",
"SHA3-224A3175",
"AES-ECBA3172",
"SHA2-256A3210",
"SHA2-224A3210",
"AES-OFBA3167",
"AES-CTRA3167",
"HMAC-SHA3-256A3175",
"KAS-FFC-SSC Sp800-56Ar3A3211",
"PBKDFA3210",
"KDA HKDF Sp800-56Cr1A3168",
"AES-CMACA3167",
"SHA2-384A3210",
"RSA SigVer (FIPS186-4)A3210",
"AES-GCMA3206",
"Counter DRBGA3167",
"RSA SigGen (FIPS186-4)A3210",
"AES-KWA3167",
"HMAC-SHA3-384A3175",
"HMAC-SHA2-256A3210",
"KAS-ECC-SSC Sp800-56Ar3A3210",
"AES-CCMA3167",
"Safe Primes Key VerificationA3211",
"HMAC-SHA2-224A3210",
"ECDSA SigVer (FIPS186-4)A3210",
"SHA3-256A3175",
"AES-CFB8A3167",
"AES-CFB1A3167",
"TLS v1.2 KDF RFC7627A3210",
"ECDSA KeyGen (FIPS186-4)A3210",
"AES-CFB128A3167",
"AES-KWPA3167",
"SHA3-384A3175",
"KDF TLSA3210",
"SHA3-512A3175",
"SHA-1A3210",
"HMAC-SHA3-512A3175"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A3157",
"#A3179",
"#A3202",
"#A3200",
"#A3170",
"#A3137",
"#A3177",
"#A3165",
"#A3211",
"#A3174",
"#A3140",
"#A3171",
"#A3188",
"#A3168",
"#A3198",
"#A3181",
"#A3166",
"#A3159",
"#A3190",
"#A3136",
"#A3183",
"#A3153",
"#A3187",
"#A3173",
"#A3142",
"#A3158",
"#A3145",
"#A3149",
"#A3143",
"#A3175",
"#A3169",
"#A3194",
"#A3167",
"#A3199",
"#A3186",
"#A3144",
"#A3176",
"#A3146",
"#A3182",
"#A3205",
"#A3172",
"#A3196",
"#A3148",
"#A3162",
"#A3185",
"#A3139",
"#A3141",
"#A3207",
"#A3206",
"#A3138",
"#A3152",
"#A3184",
"#A3193",
"#A3147",
"#A3201",
"#A3161",
"#A3150",
"#A3151",
"#A3156",
"#A3203",
"#A3154",
"#A3197",
"#A3180",
"#A3204",
"#A3178",
"#A3210",
"#A3195",
"#A3160",
"#A3155",
"#A3163"
]
},
"policy_metadata": {
"/CreationDate": "D:20250808130627Z00\u002700\u0027",
"/ModDate": "D:20250808130627Z00\u002700\u0027",
"/Producer": "macOS Version 13.7.7 (Build 22H722) Quartz PDFContext",
"pdf_file_size_bytes": 1205977,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://csrc.nist.gov/projects/cryptographic-module-validation-program/entropy-validations/certificate/29",
"https://documentation.suse.com/smart/linux/html/concept-bci/index.html",
"https://www.ietf.org/rfc/rfc3447.txt",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35775",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35759",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35765",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35767",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35788",
"https://documentation.suse.com/sle-rt/15-SP4",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35803",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35778",
"https://documentation.suse.com/sle-micro/5.3/single-html/SLE-Micro-security/#sec-fips-slemicro-install",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar2.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35773",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35779",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35782",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35766",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35746",
"https://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Ar3.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35761",
"https://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35797",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35781",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35768",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35747",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35776",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35798",
"https://www.ietf.org/rfc/rfc3394.txt",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35771",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35790",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35772",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35780",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35760",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38G.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35812",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35794",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35821",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-133r2.pdf",
"https://documentation.suse.com/sles/15-SP4/html/SLES-all/book-security.html",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35793",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35770",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35809",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-52r2.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35785",
"https://documentation.suse.com/sled/15-SP4/html/SLED-all/book-security.html",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35792",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35763",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35795",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35752",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35754",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35784",
"https://www.ietf.org/rfc/rfc5649.txt",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35764",
"https://csrc.nist.gov/projects/cryptographic-module-validation-program/entropy-validations/certificate/22",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35756",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35755",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r5.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35810",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35753",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35796",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38B.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35814",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35749",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35787",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35769",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38a.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35750",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35783",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35804",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35807",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35751",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35815",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35806",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35813",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35820",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35757",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35800",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35789",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-132.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35811",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35777",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Cr2.pdf",
"https://csrc.nist.gov/projects/cryptographic-module-validation-program/entropy-validations/certificate/30",
"https://csrc.nist.gov/projects/cryptographic-module-validation-program/entropy-validations/certificate/28",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35817",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90B.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35808",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35791",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35816",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35748",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38e.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35762",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35786",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35805",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-140B.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35758",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38d.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 56
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "fd8f9da67b6b189986ddde8122832a286bdf09e6554202e08d2916b91d5caadb",
"source_hash": "8dd6e9ea9f92447c4e3cc400c2fcae41946758073be29d628adf3be8c7f0eefe",
"txt_hash": "086d99c85a696866946028eb3cf53fa3b8d5b3a6783bcf2ad5c2b4690fe26a58"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "Interim validation. When operated in the approved mode. When installed, initialized and configured as specified in Section 11 of the Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/July 2024_010824_1146.pdf",
"date_sunset": null,
"description": "OpenSSL is an open-source library of various cryptographic algorithms written mainly in C.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical security: N/A",
"Non-invasive security: N/A"
],
"fw_versions": null,
"historical_reason": "Replaced by certificate #5436",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "SUSE Linux Enterprise OpenSSL Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "historical",
"sw_versions": "4.4",
"tested_conf": [
"SUSE Linux Enterprise Server 15 SP4 on PowerVM (VIOS 3.1.4.00) running on IBM Power E1080 (9080-HEX) with Power10 with PAA",
"SUSE Linux Enterprise Server 15 SP4 on PowerVM (VIOS 3.1.4.00) running on IBM Power E1080 (9080-HEX) with Power10 without PAA",
"SUSE Linux Enterprise Server 15 SP4 running on GIGABYTE G242-P32-QZ with ARM Ampere(R) Altra(R) Q80-30 with PAA",
"SUSE Linux Enterprise Server 15 SP4 running on GIGABYTE G242-P32-QZ with ARM Ampere(R) Altra(R) Q80-30 without PAA",
"SUSE Linux Enterprise Server 15 SP4 running on GIGABYTE R181-Z90-00 with AMD EPYC(TM) 7371 with PAA",
"SUSE Linux Enterprise Server 15 SP4 running on GIGABYTE R181-Z90-00 with AMD EPYC(TM) 7371 without PAA",
"SUSE Linux Enterprise Server 15 SP4 running on IBM z/15 with z15 with PAI",
"SUSE Linux Enterprise Server 15 SP4 running on IBM z/15 with z15 without PAI",
"SUSE Linux Enterprise Server 15 SP4 running on Supermicro Super Server SYS-6019P-WTR with Intel(R) Xeon(R) Silver 4215R with PAA",
"SUSE Linux Enterprise Server 15 SP4 running on Supermicro Super Server SYS-6019P-WTR with Intel(R) Xeon(R) Silver 4215R without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-07-12",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2025-12-19",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "SUSE, LLC",
"vendor_url": "http://www.suse.com"
}
}